Index: /XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 966)
@@ -48,5 +48,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
-      CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
+      CALL xios(get_filegroup_handle) &
+      (filegroup_id,filegroup_hdl)
       CALL xios(set_filegroup_attr_hdl_)   &
       ( filegroup_hdl, append, compression_level, convention, cyclic, description, enabled, format  &
@@ -139,99 +140,123 @@
       IF (PRESENT(append_)) THEN
         append__tmp = append_
-        CALL cxios_set_filegroup_append(filegroup_hdl%daddr, append__tmp)
+        CALL cxios_set_filegroup_append &
+      (filegroup_hdl%daddr, append__tmp)
       ENDIF
 
       IF (PRESENT(compression_level_)) THEN
-        CALL cxios_set_filegroup_compression_level(filegroup_hdl%daddr, compression_level_)
+        CALL cxios_set_filegroup_compression_level &
+      (filegroup_hdl%daddr, compression_level_)
       ENDIF
 
       IF (PRESENT(convention_)) THEN
-        CALL cxios_set_filegroup_convention(filegroup_hdl%daddr, convention_, len(convention_))
+        CALL cxios_set_filegroup_convention &
+      (filegroup_hdl%daddr, convention_, len(convention_))
       ENDIF
 
       IF (PRESENT(cyclic_)) THEN
         cyclic__tmp = cyclic_
-        CALL cxios_set_filegroup_cyclic(filegroup_hdl%daddr, cyclic__tmp)
+        CALL cxios_set_filegroup_cyclic &
+      (filegroup_hdl%daddr, cyclic__tmp)
       ENDIF
 
       IF (PRESENT(description_)) THEN
-        CALL cxios_set_filegroup_description(filegroup_hdl%daddr, description_, len(description_))
+        CALL cxios_set_filegroup_description &
+      (filegroup_hdl%daddr, description_, len(description_))
       ENDIF
 
       IF (PRESENT(enabled_)) THEN
         enabled__tmp = enabled_
-        CALL cxios_set_filegroup_enabled(filegroup_hdl%daddr, enabled__tmp)
+        CALL cxios_set_filegroup_enabled &
+      (filegroup_hdl%daddr, enabled__tmp)
       ENDIF
 
       IF (PRESENT(format_)) THEN
-        CALL cxios_set_filegroup_format(filegroup_hdl%daddr, format_, len(format_))
+        CALL cxios_set_filegroup_format &
+      (filegroup_hdl%daddr, format_, len(format_))
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        CALL cxios_set_filegroup_group_ref(filegroup_hdl%daddr, group_ref_, len(group_ref_))
+        CALL cxios_set_filegroup_group_ref &
+      (filegroup_hdl%daddr, group_ref_, len(group_ref_))
       ENDIF
 
       IF (PRESENT(min_digits_)) THEN
-        CALL cxios_set_filegroup_min_digits(filegroup_hdl%daddr, min_digits_)
+        CALL cxios_set_filegroup_min_digits &
+      (filegroup_hdl%daddr, min_digits_)
       ENDIF
 
       IF (PRESENT(mode_)) THEN
-        CALL cxios_set_filegroup_mode(filegroup_hdl%daddr, mode_, len(mode_))
+        CALL cxios_set_filegroup_mode &
+      (filegroup_hdl%daddr, mode_, len(mode_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_set_filegroup_name(filegroup_hdl%daddr, name_, len(name_))
+        CALL cxios_set_filegroup_name &
+      (filegroup_hdl%daddr, name_, len(name_))
       ENDIF
 
       IF (PRESENT(name_suffix_)) THEN
-        CALL cxios_set_filegroup_name_suffix(filegroup_hdl%daddr, name_suffix_, len(name_suffix_))
+        CALL cxios_set_filegroup_name_suffix &
+      (filegroup_hdl%daddr, name_suffix_, len(name_suffix_))
       ENDIF
 
       IF (PRESENT(output_freq_)) THEN
-        CALL cxios_set_filegroup_output_freq(filegroup_hdl%daddr, output_freq_)
+        CALL cxios_set_filegroup_output_freq &
+      (filegroup_hdl%daddr, output_freq_)
       ENDIF
 
       IF (PRESENT(output_level_)) THEN
-        CALL cxios_set_filegroup_output_level(filegroup_hdl%daddr, output_level_)
+        CALL cxios_set_filegroup_output_level &
+      (filegroup_hdl%daddr, output_level_)
       ENDIF
 
       IF (PRESENT(par_access_)) THEN
-        CALL cxios_set_filegroup_par_access(filegroup_hdl%daddr, par_access_, len(par_access_))
+        CALL cxios_set_filegroup_par_access &
+      (filegroup_hdl%daddr, par_access_, len(par_access_))
       ENDIF
 
       IF (PRESENT(record_offset_)) THEN
-        CALL cxios_set_filegroup_record_offset(filegroup_hdl%daddr, record_offset_)
+        CALL cxios_set_filegroup_record_offset &
+      (filegroup_hdl%daddr, record_offset_)
       ENDIF
 
       IF (PRESENT(split_freq_)) THEN
-        CALL cxios_set_filegroup_split_freq(filegroup_hdl%daddr, split_freq_)
+        CALL cxios_set_filegroup_split_freq &
+      (filegroup_hdl%daddr, split_freq_)
       ENDIF
 
       IF (PRESENT(split_freq_format_)) THEN
-        CALL cxios_set_filegroup_split_freq_format(filegroup_hdl%daddr, split_freq_format_, len(split_freq_format_))
+        CALL cxios_set_filegroup_split_freq_format &
+      (filegroup_hdl%daddr, split_freq_format_, len(split_freq_format_))
       ENDIF
 
       IF (PRESENT(sync_freq_)) THEN
-        CALL cxios_set_filegroup_sync_freq(filegroup_hdl%daddr, sync_freq_)
+        CALL cxios_set_filegroup_sync_freq &
+      (filegroup_hdl%daddr, sync_freq_)
       ENDIF
 
       IF (PRESENT(time_counter_)) THEN
-        CALL cxios_set_filegroup_time_counter(filegroup_hdl%daddr, time_counter_, len(time_counter_))
+        CALL cxios_set_filegroup_time_counter &
+      (filegroup_hdl%daddr, time_counter_, len(time_counter_))
       ENDIF
 
       IF (PRESENT(time_counter_name_)) THEN
-        CALL cxios_set_filegroup_time_counter_name(filegroup_hdl%daddr, time_counter_name_, len(time_counter_name_))
+        CALL cxios_set_filegroup_time_counter_name &
+      (filegroup_hdl%daddr, time_counter_name_, len(time_counter_name_))
       ENDIF
 
       IF (PRESENT(timeseries_)) THEN
-        CALL cxios_set_filegroup_timeseries(filegroup_hdl%daddr, timeseries_, len(timeseries_))
+        CALL cxios_set_filegroup_timeseries &
+      (filegroup_hdl%daddr, timeseries_, len(timeseries_))
       ENDIF
 
       IF (PRESENT(ts_prefix_)) THEN
-        CALL cxios_set_filegroup_ts_prefix(filegroup_hdl%daddr, ts_prefix_, len(ts_prefix_))
+        CALL cxios_set_filegroup_ts_prefix &
+      (filegroup_hdl%daddr, ts_prefix_, len(ts_prefix_))
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        CALL cxios_set_filegroup_type(filegroup_hdl%daddr, type_, len(type_))
+        CALL cxios_set_filegroup_type &
+      (filegroup_hdl%daddr, type_, len(type_))
       ENDIF
 
@@ -275,5 +300,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
-      CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
+      CALL xios(get_filegroup_handle) &
+      (filegroup_id,filegroup_hdl)
       CALL xios(get_filegroup_attr_hdl_)   &
       ( filegroup_hdl, append, compression_level, convention, cyclic, description, enabled, format  &
@@ -365,100 +391,124 @@
 
       IF (PRESENT(append_)) THEN
-        CALL cxios_get_filegroup_append(filegroup_hdl%daddr, append__tmp)
+        CALL cxios_get_filegroup_append &
+      (filegroup_hdl%daddr, append__tmp)
         append_ = append__tmp
       ENDIF
 
       IF (PRESENT(compression_level_)) THEN
-        CALL cxios_get_filegroup_compression_level(filegroup_hdl%daddr, compression_level_)
+        CALL cxios_get_filegroup_compression_level &
+      (filegroup_hdl%daddr, compression_level_)
       ENDIF
 
       IF (PRESENT(convention_)) THEN
-        CALL cxios_get_filegroup_convention(filegroup_hdl%daddr, convention_, len(convention_))
+        CALL cxios_get_filegroup_convention &
+      (filegroup_hdl%daddr, convention_, len(convention_))
       ENDIF
 
       IF (PRESENT(cyclic_)) THEN
-        CALL cxios_get_filegroup_cyclic(filegroup_hdl%daddr, cyclic__tmp)
+        CALL cxios_get_filegroup_cyclic &
+      (filegroup_hdl%daddr, cyclic__tmp)
         cyclic_ = cyclic__tmp
       ENDIF
 
       IF (PRESENT(description_)) THEN
-        CALL cxios_get_filegroup_description(filegroup_hdl%daddr, description_, len(description_))
+        CALL cxios_get_filegroup_description &
+      (filegroup_hdl%daddr, description_, len(description_))
       ENDIF
 
       IF (PRESENT(enabled_)) THEN
-        CALL cxios_get_filegroup_enabled(filegroup_hdl%daddr, enabled__tmp)
+        CALL cxios_get_filegroup_enabled &
+      (filegroup_hdl%daddr, enabled__tmp)
         enabled_ = enabled__tmp
       ENDIF
 
       IF (PRESENT(format_)) THEN
-        CALL cxios_get_filegroup_format(filegroup_hdl%daddr, format_, len(format_))
+        CALL cxios_get_filegroup_format &
+      (filegroup_hdl%daddr, format_, len(format_))
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        CALL cxios_get_filegroup_group_ref(filegroup_hdl%daddr, group_ref_, len(group_ref_))
+        CALL cxios_get_filegroup_group_ref &
+      (filegroup_hdl%daddr, group_ref_, len(group_ref_))
       ENDIF
 
       IF (PRESENT(min_digits_)) THEN
-        CALL cxios_get_filegroup_min_digits(filegroup_hdl%daddr, min_digits_)
+        CALL cxios_get_filegroup_min_digits &
+      (filegroup_hdl%daddr, min_digits_)
       ENDIF
 
       IF (PRESENT(mode_)) THEN
-        CALL cxios_get_filegroup_mode(filegroup_hdl%daddr, mode_, len(mode_))
+        CALL cxios_get_filegroup_mode &
+      (filegroup_hdl%daddr, mode_, len(mode_))
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        CALL cxios_get_filegroup_name(filegroup_hdl%daddr, name_, len(name_))
+        CALL cxios_get_filegroup_name &
+      (filegroup_hdl%daddr, name_, len(name_))
       ENDIF
 
       IF (PRESENT(name_suffix_)) THEN
-        CALL cxios_get_filegroup_name_suffix(filegroup_hdl%daddr, name_suffix_, len(name_suffix_))
+        CALL cxios_get_filegroup_name_suffix &
+      (filegroup_hdl%daddr, name_suffix_, len(name_suffix_))
       ENDIF
 
       IF (PRESENT(output_freq_)) THEN
-        CALL cxios_get_filegroup_output_freq(filegroup_hdl%daddr, output_freq_)
+        CALL cxios_get_filegroup_output_freq &
+      (filegroup_hdl%daddr, output_freq_)
       ENDIF
 
       IF (PRESENT(output_level_)) THEN
-        CALL cxios_get_filegroup_output_level(filegroup_hdl%daddr, output_level_)
+        CALL cxios_get_filegroup_output_level &
+      (filegroup_hdl%daddr, output_level_)
       ENDIF
 
       IF (PRESENT(par_access_)) THEN
-        CALL cxios_get_filegroup_par_access(filegroup_hdl%daddr, par_access_, len(par_access_))
+        CALL cxios_get_filegroup_par_access &
+      (filegroup_hdl%daddr, par_access_, len(par_access_))
       ENDIF
 
       IF (PRESENT(record_offset_)) THEN
-        CALL cxios_get_filegroup_record_offset(filegroup_hdl%daddr, record_offset_)
+        CALL cxios_get_filegroup_record_offset &
+      (filegroup_hdl%daddr, record_offset_)
       ENDIF
 
       IF (PRESENT(split_freq_)) THEN
-        CALL cxios_get_filegroup_split_freq(filegroup_hdl%daddr, split_freq_)
+        CALL cxios_get_filegroup_split_freq &
+      (filegroup_hdl%daddr, split_freq_)
       ENDIF
 
       IF (PRESENT(split_freq_format_)) THEN
-        CALL cxios_get_filegroup_split_freq_format(filegroup_hdl%daddr, split_freq_format_, len(split_freq_format_))
+        CALL cxios_get_filegroup_split_freq_format &
+      (filegroup_hdl%daddr, split_freq_format_, len(split_freq_format_))
       ENDIF
 
       IF (PRESENT(sync_freq_)) THEN
-        CALL cxios_get_filegroup_sync_freq(filegroup_hdl%daddr, sync_freq_)
+        CALL cxios_get_filegroup_sync_freq &
+      (filegroup_hdl%daddr, sync_freq_)
       ENDIF
 
       IF (PRESENT(time_counter_)) THEN
-        CALL cxios_get_filegroup_time_counter(filegroup_hdl%daddr, time_counter_, len(time_counter_))
+        CALL cxios_get_filegroup_time_counter &
+      (filegroup_hdl%daddr, time_counter_, len(time_counter_))
       ENDIF
 
       IF (PRESENT(time_counter_name_)) THEN
-        CALL cxios_get_filegroup_time_counter_name(filegroup_hdl%daddr, time_counter_name_, len(time_counter_name_))
+        CALL cxios_get_filegroup_time_counter_name &
+      (filegroup_hdl%daddr, time_counter_name_, len(time_counter_name_))
       ENDIF
 
       IF (PRESENT(timeseries_)) THEN
-        CALL cxios_get_filegroup_timeseries(filegroup_hdl%daddr, timeseries_, len(timeseries_))
+        CALL cxios_get_filegroup_timeseries &
+      (filegroup_hdl%daddr, timeseries_, len(timeseries_))
       ENDIF
 
       IF (PRESENT(ts_prefix_)) THEN
-        CALL cxios_get_filegroup_ts_prefix(filegroup_hdl%daddr, ts_prefix_, len(ts_prefix_))
+        CALL cxios_get_filegroup_ts_prefix &
+      (filegroup_hdl%daddr, ts_prefix_, len(ts_prefix_))
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        CALL cxios_get_filegroup_type(filegroup_hdl%daddr, type_, len(type_))
+        CALL cxios_get_filegroup_type &
+      (filegroup_hdl%daddr, type_, len(type_))
       ENDIF
 
@@ -523,5 +573,6 @@
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
-      CALL xios(get_filegroup_handle)(filegroup_id,filegroup_hdl)
+      CALL xios(get_filegroup_handle) &
+      (filegroup_id,filegroup_hdl)
       CALL xios(is_defined_filegroup_attr_hdl_)   &
       ( filegroup_hdl, append, compression_level, convention, cyclic, description, enabled, format  &
@@ -655,120 +706,144 @@
 
       IF (PRESENT(append_)) THEN
-        append__tmp = cxios_is_defined_filegroup_append(filegroup_hdl%daddr)
+        append__tmp = cxios_is_defined_filegroup_append &
+      (filegroup_hdl%daddr)
         append_ = append__tmp
       ENDIF
 
       IF (PRESENT(compression_level_)) THEN
-        compression_level__tmp = cxios_is_defined_filegroup_compression_level(filegroup_hdl%daddr)
+        compression_level__tmp = cxios_is_defined_filegroup_compression_level &
+      (filegroup_hdl%daddr)
         compression_level_ = compression_level__tmp
       ENDIF
 
       IF (PRESENT(convention_)) THEN
-        convention__tmp = cxios_is_defined_filegroup_convention(filegroup_hdl%daddr)
+        convention__tmp = cxios_is_defined_filegroup_convention &
+      (filegroup_hdl%daddr)
         convention_ = convention__tmp
       ENDIF
 
       IF (PRESENT(cyclic_)) THEN
-        cyclic__tmp = cxios_is_defined_filegroup_cyclic(filegroup_hdl%daddr)
+        cyclic__tmp = cxios_is_defined_filegroup_cyclic &
+      (filegroup_hdl%daddr)
         cyclic_ = cyclic__tmp
       ENDIF
 
       IF (PRESENT(description_)) THEN
-        description__tmp = cxios_is_defined_filegroup_description(filegroup_hdl%daddr)
+        description__tmp = cxios_is_defined_filegroup_description &
+      (filegroup_hdl%daddr)
         description_ = description__tmp
       ENDIF
 
       IF (PRESENT(enabled_)) THEN
-        enabled__tmp = cxios_is_defined_filegroup_enabled(filegroup_hdl%daddr)
+        enabled__tmp = cxios_is_defined_filegroup_enabled &
+      (filegroup_hdl%daddr)
         enabled_ = enabled__tmp
       ENDIF
 
       IF (PRESENT(format_)) THEN
-        format__tmp = cxios_is_defined_filegroup_format(filegroup_hdl%daddr)
+        format__tmp = cxios_is_defined_filegroup_format &
+      (filegroup_hdl%daddr)
         format_ = format__tmp
       ENDIF
 
       IF (PRESENT(group_ref_)) THEN
-        group_ref__tmp = cxios_is_defined_filegroup_group_ref(filegroup_hdl%daddr)
+        group_ref__tmp = cxios_is_defined_filegroup_group_ref &
+      (filegroup_hdl%daddr)
         group_ref_ = group_ref__tmp
       ENDIF
 
       IF (PRESENT(min_digits_)) THEN
-        min_digits__tmp = cxios_is_defined_filegroup_min_digits(filegroup_hdl%daddr)
+        min_digits__tmp = cxios_is_defined_filegroup_min_digits &
+      (filegroup_hdl%daddr)
         min_digits_ = min_digits__tmp
       ENDIF
 
       IF (PRESENT(mode_)) THEN
-        mode__tmp = cxios_is_defined_filegroup_mode(filegroup_hdl%daddr)
+        mode__tmp = cxios_is_defined_filegroup_mode &
+      (filegroup_hdl%daddr)
         mode_ = mode__tmp
       ENDIF
 
       IF (PRESENT(name_)) THEN
-        name__tmp = cxios_is_defined_filegroup_name(filegroup_hdl%daddr)
+        name__tmp = cxios_is_defined_filegroup_name &
+      (filegroup_hdl%daddr)
         name_ = name__tmp
       ENDIF
 
       IF (PRESENT(name_suffix_)) THEN
-        name_suffix__tmp = cxios_is_defined_filegroup_name_suffix(filegroup_hdl%daddr)
+        name_suffix__tmp = cxios_is_defined_filegroup_name_suffix &
+      (filegroup_hdl%daddr)
         name_suffix_ = name_suffix__tmp
       ENDIF
 
       IF (PRESENT(output_freq_)) THEN
-        output_freq__tmp = cxios_is_defined_filegroup_output_freq(filegroup_hdl%daddr)
+        output_freq__tmp = cxios_is_defined_filegroup_output_freq &
+      (filegroup_hdl%daddr)
         output_freq_ = output_freq__tmp
       ENDIF
 
       IF (PRESENT(output_level_)) THEN
-        output_level__tmp = cxios_is_defined_filegroup_output_level(filegroup_hdl%daddr)
+        output_level__tmp = cxios_is_defined_filegroup_output_level &
+      (filegroup_hdl%daddr)
         output_level_ = output_level__tmp
       ENDIF
 
       IF (PRESENT(par_access_)) THEN
-        par_access__tmp = cxios_is_defined_filegroup_par_access(filegroup_hdl%daddr)
+        par_access__tmp = cxios_is_defined_filegroup_par_access &
+      (filegroup_hdl%daddr)
         par_access_ = par_access__tmp
       ENDIF
 
       IF (PRESENT(record_offset_)) THEN
-        record_offset__tmp = cxios_is_defined_filegroup_record_offset(filegroup_hdl%daddr)
+        record_offset__tmp = cxios_is_defined_filegroup_record_offset &
+      (filegroup_hdl%daddr)
         record_offset_ = record_offset__tmp
       ENDIF
 
       IF (PRESENT(split_freq_)) THEN
-        split_freq__tmp = cxios_is_defined_filegroup_split_freq(filegroup_hdl%daddr)
+        split_freq__tmp = cxios_is_defined_filegroup_split_freq &
+      (filegroup_hdl%daddr)
         split_freq_ = split_freq__tmp
       ENDIF
 
       IF (PRESENT(split_freq_format_)) THEN
-        split_freq_format__tmp = cxios_is_defined_filegroup_split_freq_format(filegroup_hdl%daddr)
+        split_freq_format__tmp = cxios_is_defined_filegroup_split_freq_format &
+      (filegroup_hdl%daddr)
         split_freq_format_ = split_freq_format__tmp
       ENDIF
 
       IF (PRESENT(sync_freq_)) THEN
-        sync_freq__tmp = cxios_is_defined_filegroup_sync_freq(filegroup_hdl%daddr)
+        sync_freq__tmp = cxios_is_defined_filegroup_sync_freq &
+      (filegroup_hdl%daddr)
         sync_freq_ = sync_freq__tmp
       ENDIF
 
       IF (PRESENT(time_counter_)) THEN
-        time_counter__tmp = cxios_is_defined_filegroup_time_counter(filegroup_hdl%daddr)
+        time_counter__tmp = cxios_is_defined_filegroup_time_counter &
+      (filegroup_hdl%daddr)
         time_counter_ = time_counter__tmp
       ENDIF
 
       IF (PRESENT(time_counter_name_)) THEN
-        time_counter_name__tmp = cxios_is_defined_filegroup_time_counter_name(filegroup_hdl%daddr)
+        time_counter_name__tmp = cxios_is_defined_filegroup_time_counter_name &
+      (filegroup_hdl%daddr)
         time_counter_name_ = time_counter_name__tmp
       ENDIF
 
       IF (PRESENT(timeseries_)) THEN
-        timeseries__tmp = cxios_is_defined_filegroup_timeseries(filegroup_hdl%daddr)
+        timeseries__tmp = cxios_is_defined_filegroup_timeseries &
+      (filegroup_hdl%daddr)
         timeseries_ = timeseries__tmp
       ENDIF
 
       IF (PRESENT(ts_prefix_)) THEN
-        ts_prefix__tmp = cxios_is_defined_filegroup_ts_prefix(filegroup_hdl%daddr)
+        ts_prefix__tmp = cxios_is_defined_filegroup_ts_prefix &
+      (filegroup_hdl%daddr)
         ts_prefix_ = ts_prefix__tmp
       ENDIF
 
       IF (PRESENT(type_)) THEN
-        type__tmp = cxios_is_defined_filegroup_type(filegroup_hdl%daddr)
+        type__tmp = cxios_is_defined_filegroup_type &
+      (filegroup_hdl%daddr)
         type_ = type__tmp
       ENDIF
Index: /XIOS/trunk/src/interface/fortran_attr/igenerate_rectilinear_domain_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/igenerate_rectilinear_domain_attr.F90	(revision 965)
+++ /XIOS/trunk/src/interface/fortran_attr/igenerate_rectilinear_domain_attr.F90	(revision 966)
@@ -27,5 +27,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: lon_start
 
-      CALL xios(get_generate_rectilinear_domain_handle)(generate_rectilinear_domain_id,generate_rectilinear_domain_hdl)
+      CALL xios(get_generate_rectilinear_domain_handle) &
+      (generate_rectilinear_domain_id,generate_rectilinear_domain_hdl)
       CALL xios(set_generate_rectilinear_domain_attr_hdl_)   &
       ( generate_rectilinear_domain_hdl, bounds_lat_end, bounds_lat_start, bounds_lon_end, bounds_lon_start  &
@@ -71,33 +72,41 @@
 
       IF (PRESENT(bounds_lat_end_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_bounds_lat_end(generate_rectilinear_domain_hdl%daddr, bounds_lat_end_)
+        CALL cxios_set_generate_rectilinear_domain_bounds_lat_end &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lat_end_)
       ENDIF
 
       IF (PRESENT(bounds_lat_start_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_bounds_lat_start(generate_rectilinear_domain_hdl%daddr, bounds_lat_start_)
+        CALL cxios_set_generate_rectilinear_domain_bounds_lat_start &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lat_start_)
       ENDIF
 
       IF (PRESENT(bounds_lon_end_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_bounds_lon_end(generate_rectilinear_domain_hdl%daddr, bounds_lon_end_)
+        CALL cxios_set_generate_rectilinear_domain_bounds_lon_end &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lon_end_)
       ENDIF
 
       IF (PRESENT(bounds_lon_start_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_bounds_lon_start(generate_rectilinear_domain_hdl%daddr, bounds_lon_start_)
+        CALL cxios_set_generate_rectilinear_domain_bounds_lon_start &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lon_start_)
       ENDIF
 
       IF (PRESENT(lat_end_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_lat_end(generate_rectilinear_domain_hdl%daddr, lat_end_)
+        CALL cxios_set_generate_rectilinear_domain_lat_end &
+      (generate_rectilinear_domain_hdl%daddr, lat_end_)
       ENDIF
 
       IF (PRESENT(lat_start_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_lat_start(generate_rectilinear_domain_hdl%daddr, lat_start_)
+        CALL cxios_set_generate_rectilinear_domain_lat_start &
+      (generate_rectilinear_domain_hdl%daddr, lat_start_)
       ENDIF
 
       IF (PRESENT(lon_end_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_lon_end(generate_rectilinear_domain_hdl%daddr, lon_end_)
+        CALL cxios_set_generate_rectilinear_domain_lon_end &
+      (generate_rectilinear_domain_hdl%daddr, lon_end_)
       ENDIF
 
       IF (PRESENT(lon_start_)) THEN
-        CALL cxios_set_generate_rectilinear_domain_lon_start(generate_rectilinear_domain_hdl%daddr, lon_start_)
+        CALL cxios_set_generate_rectilinear_domain_lon_start &
+      (generate_rectilinear_domain_hdl%daddr, lon_start_)
       ENDIF
 
@@ -120,5 +129,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: lon_start
 
-      CALL xios(get_generate_rectilinear_domain_handle)(generate_rectilinear_domain_id,generate_rectilinear_domain_hdl)
+      CALL xios(get_generate_rectilinear_domain_handle) &
+      (generate_rectilinear_domain_id,generate_rectilinear_domain_hdl)
       CALL xios(get_generate_rectilinear_domain_attr_hdl_)   &
       ( generate_rectilinear_domain_hdl, bounds_lat_end, bounds_lat_start, bounds_lon_end, bounds_lon_start  &
@@ -164,33 +174,41 @@
 
       IF (PRESENT(bounds_lat_end_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_bounds_lat_end(generate_rectilinear_domain_hdl%daddr, bounds_lat_end_)
+        CALL cxios_get_generate_rectilinear_domain_bounds_lat_end &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lat_end_)
       ENDIF
 
       IF (PRESENT(bounds_lat_start_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_bounds_lat_start(generate_rectilinear_domain_hdl%daddr, bounds_lat_start_)
+        CALL cxios_get_generate_rectilinear_domain_bounds_lat_start &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lat_start_)
       ENDIF
 
       IF (PRESENT(bounds_lon_end_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_bounds_lon_end(generate_rectilinear_domain_hdl%daddr, bounds_lon_end_)
+        CALL cxios_get_generate_rectilinear_domain_bounds_lon_end &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lon_end_)
       ENDIF
 
       IF (PRESENT(bounds_lon_start_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_bounds_lon_start(generate_rectilinear_domain_hdl%daddr, bounds_lon_start_)
+        CALL cxios_get_generate_rectilinear_domain_bounds_lon_start &
+      (generate_rectilinear_domain_hdl%daddr, bounds_lon_start_)
       ENDIF
 
       IF (PRESENT(lat_end_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_lat_end(generate_rectilinear_domain_hdl%daddr, lat_end_)
+        CALL cxios_get_generate_rectilinear_domain_lat_end &
+      (generate_rectilinear_domain_hdl%daddr, lat_end_)
       ENDIF
 
       IF (PRESENT(lat_start_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_lat_start(generate_rectilinear_domain_hdl%daddr, lat_start_)
+        CALL cxios_get_generate_rectilinear_domain_lat_start &
+      (generate_rectilinear_domain_hdl%daddr, lat_start_)
       ENDIF
 
       IF (PRESENT(lon_end_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_lon_end(generate_rectilinear_domain_hdl%daddr, lon_end_)
+        CALL cxios_get_generate_rectilinear_domain_lon_end &
+      (generate_rectilinear_domain_hdl%daddr, lon_end_)
       ENDIF
 
       IF (PRESENT(lon_start_)) THEN
-        CALL cxios_get_generate_rectilinear_domain_lon_start(generate_rectilinear_domain_hdl%daddr, lon_start_)
+        CALL cxios_get_generate_rectilinear_domain_lon_start &
+      (generate_rectilinear_domain_hdl%daddr, lon_start_)
       ENDIF
 
@@ -221,5 +239,6 @@
       LOGICAL(KIND=C_BOOL) :: lon_start_tmp
 
-      CALL xios(get_generate_rectilinear_domain_handle)(generate_rectilinear_domain_id,generate_rectilinear_domain_hdl)
+      CALL xios(get_generate_rectilinear_domain_handle) &
+      (generate_rectilinear_domain_id,generate_rectilinear_domain_hdl)
       CALL xios(is_defined_generate_rectilinear_domain_attr_hdl_)   &
       ( generate_rectilinear_domain_hdl, bounds_lat_end, bounds_lat_start, bounds_lon_end, bounds_lon_start  &
@@ -281,40 +300,48 @@
 
       IF (PRESENT(bounds_lat_end_)) THEN
-        bounds_lat_end__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lat_end(generate_rectilinear_domain_hdl%daddr)
+        bounds_lat_end__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lat_end &
+      (generate_rectilinear_domain_hdl%daddr)
         bounds_lat_end_ = bounds_lat_end__tmp
       ENDIF
 
       IF (PRESENT(bounds_lat_start_)) THEN
-        bounds_lat_start__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lat_start(generate_rectilinear_domain_hdl%daddr)
+        bounds_lat_start__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lat_start &
+      (generate_rectilinear_domain_hdl%daddr)
         bounds_lat_start_ = bounds_lat_start__tmp
       ENDIF
 
       IF (PRESENT(bounds_lon_end_)) THEN
-        bounds_lon_end__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lon_end(generate_rectilinear_domain_hdl%daddr)
+        bounds_lon_end__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lon_end &
+      (generate_rectilinear_domain_hdl%daddr)
         bounds_lon_end_ = bounds_lon_end__tmp
       ENDIF
 
       IF (PRESENT(bounds_lon_start_)) THEN
-        bounds_lon_start__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lon_start(generate_rectilinear_domain_hdl%daddr)
+        bounds_lon_start__tmp = cxios_is_defined_generate_rectilinear_domain_bounds_lon_start &
+      (generate_rectilinear_domain_hdl%daddr)
         bounds_lon_start_ = bounds_lon_start__tmp
       ENDIF
 
       IF (PRESENT(lat_end_)) THEN
-        lat_end__tmp = cxios_is_defined_generate_rectilinear_domain_lat_end(generate_rectilinear_domain_hdl%daddr)
+        lat_end__tmp = cxios_is_defined_generate_rectilinear_domain_lat_end &
+      (generate_rectilinear_domain_hdl%daddr)
         lat_end_ = lat_end__tmp
       ENDIF
 
       IF (PRESENT(lat_start_)) THEN
-        lat_start__tmp = cxios_is_defined_generate_rectilinear_domain_lat_start(generate_rectilinear_domain_hdl%daddr)
+        lat_start__tmp = cxios_is_defined_generate_rectilinear_domain_lat_start &
+      (generate_rectilinear_domain_hdl%daddr)
         lat_start_ = lat_start__tmp
       ENDIF
 
       IF (PRESENT(lon_end_)) THEN
-        lon_end__tmp = cxios_is_defined_generate_rectilinear_domain_lon_end(generate_rectilinear_domain_hdl%daddr)
+        lon_end__tmp = cxios_is_defined_generate_rectilinear_domain_lon_end &
+      (generate_rectilinear_domain_hdl%daddr)
         lon_end_ = lon_end__tmp
       ENDIF
 
       IF (PRESENT(lon_start_)) THEN
-        lon_start__tmp = cxios_is_defined_generate_rectilinear_domain_lon_start(generate_rectilinear_domain_hdl%daddr)
+        lon_start__tmp = cxios_is_defined_generate_rectilinear_domain_lon_start &
+      (generate_rectilinear_domain_hdl%daddr)
         lon_start_ = lon_start__tmp
       ENDIF
